Bug 864216 - IE8 IE9 Content Search Rows - no Arrow and no expansion (basically unusable)
IE8 IE9 Content Search Rows - no Arrow and no expansion (basically unusable)
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Eric Helms
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 18:01 EDT by Jason E. Rist
Modified: 2013-08-16 14:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
IE8 and IE9 did not correctly nest results on content search. The product rows were not colored properly and the IE8 environment selector displayed off screen. This fix corrects content search row rendering in IE8, product row color in IE8 and the path selector set to the proper location in IE8. Search results list and expand correctly in IE8 and IE9.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:57:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ff ie 9 compare (234.96 KB, image/png)
2012-10-08 18:01 EDT, Jason E. Rist
no flags Details

  None (edit)
Description Jason E. Rist 2012-10-08 18:01:41 EDT
Created attachment 623761 [details]
ff ie 9 compare

Description of problem:

1. First is that in Content Search page, the result list does not expand. I have used "zoo" report and searched "title:*a*" in Erratas. It loads only the name of product, but does not expand list to show repo and erratas while clicking on it. (attachment The same page in FF and IE9 W7)


Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. content search
2. products or errata -> go
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Eric Helms 2012-10-11 14:10:32 EDT
For full details of the fix please see https://bugzilla.redhat.com/show_bug.cgi?id=864216

fc5e9024a7211a19f89cd177d027a91314b43a4d

The changes here address the issue with:

- Nested results on content search not showing up on IE8 and IE9
- Top level result, i.e. product rows, were not being colored properly
- On IE8 the environment selector was showing up off screen
Comment 5 Hayk Hovsepyan 2012-10-17 05:46:20 EDT
Verified on revision:
katello-glue-candlepin-1.1.12-16.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-common-1.1.12-16.el6cf.noarch
katello-1.1.12-16.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.1.8-7.el6cf.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-configure-1.1.9-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-pulp-1.1.12-16.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-7.el6cf.noarch

Now it shows search result list correctly and expands it.
Comment 7 errata-xmlrpc 2012-12-04 14:57:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 8 Mike McCune 2013-08-16 14:22:39 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.